%define upstream_name    Net-Google-PicasaWeb
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Use Google Picasa Web services from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IO::Prompt)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Role::Matcher)
BuildRequires: perl(Net::Google::AuthSub)
BuildRequires: perl(Test::Able)
BuildRequires: perl(Test::Able::Runner)
BuildRequires: perl(Test::Mock::LWP)
BuildRequires: perl(URI)
BuildRequires: perl(XML::Twig)
BuildArch: noarch

%description
This defines some common tools available to many of the classes included
with the Net::Google::PicasaWeb manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README AUTHORS Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/picasa
/usr/bin/picasa-get
/usr/bin/picasa-list
/usr/share/man/man1/picasa-get.1.xz
/usr/share/man/man1/picasa-list.1.xz
/usr/share/man/man1/picasa.1.xz



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.120.0-7.mga6
+ Revision: 1031080
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.120.0-6.mga6
+ Revision: 949426
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.120.0-5.mga5
+ Revision: 789660
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 740811
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 685659
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.120.0-2.mga4
+ Revision: 534874
- Mageia 4 Mass Rebuild

* Sun Sep 15 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 479880
- update to 0.12

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370627
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 164893
- imported package perl-Net-Google-PicasaWeb


* Mon Nov 07 2011 cpan2dist 0.11-1mga
- initial mageia release, generated with cpan2dist
